using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using GalaSoft.MvvmLight;
using System.Collections.ObjectModel;
using System.Collections.Generic;

namespace Benday.HyperlinkButtonSample.Presentation
{
    public class CancelPersonCommand : ViewModelCommandBase
    {
        private PersonViewModel m_viewModel;

        public CancelPersonCommand(PersonViewModel viewModel)
        {
            if (viewModel == null)
            {
                throw new ArgumentNullException("viewModel", "Argument cannot be null.");
            }

            m_viewModel = viewModel;
        }

        protected override void OnExecute(object parameter)
        {
            m_viewModel.Cancel();
        }
    }
}
