using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using GalaSoft.MvvmLight;
using System.Collections.ObjectModel;
using System.Collections.Generic;

namespace Benday.HyperlinkButtonSample.Presentation
{
    public interface IRepository<T>
                where T : IInt32Identity
    {
        void GetAll(ReturnResult<IList<T>> result);
        void GetById(int id, ReturnResult<T> result);
        void Save(T saveThis, ReturnResult<T> result);
        void Delete(T deleteThis, ReturnResult<T> result);
    }
}
