﻿namespace Benday.HyperlinkButtonSample
{
    using System.Windows.Controls;
    using System.Windows.Navigation;
    using Benday.HyperlinkButtonSample.Presentation;

    /// <summary>
    /// Home page for the application.
    /// </summary>
    public partial class Home : Page
    {
        /// <summary>
        /// Creates a new <see cref="Home"/> instance.
        /// </summary>
        public Home()
        {
            InitializeComponent();

            this.Title = "Home";
        }

        /// <summary>
        /// Executes when the user navigates to this page.
        /// </summary>
        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
            HomeViewModel viewModelInstance = new HomeViewModel();

            DataContext = viewModelInstance;

            viewModelInstance.LoadAll();            
        }
    }
}