﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Navigation;
using Benday.HyperlinkButtonSample.Presentation;

namespace Benday.HyperlinkButtonSample.Views
{
    public partial class PersonDetail : Page
    {
        public PersonDetail()
        {
            InitializeComponent();
        }

        // Executes when the user navigates to this page.
        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
            try
            {
                int id = PresentationUtility.ParseIdFromUri(e.Uri);

                PersonViewModel viewModelInstance = new PersonViewModel();

                viewModelInstance.NavigateHome += new EventHandler(viewModelInstance_NavigateHome);

                DataContext = viewModelInstance;

                viewModelInstance.LoadById(id);
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.ToString());
            }
        }

        void viewModelInstance_NavigateHome(object sender, EventArgs e)
        {
            this.NavigationService.Navigate(new Uri("/Home", UriKind.RelativeOrAbsolute));
        }



    }
}
